TagLib::ID3v2::UnknownFrame Class Reference

A frame type unknown to TagLib. More...

`#include <unknownframe.h>`

Inheritance diagram for TagLib::ID3v2::UnknownFrame:
[legend]
Collaboration diagram for TagLib::ID3v2::UnknownFrame:
[legend]

## Public Member Functions

| UnknownFrame (const ByteVector &data)
| ~UnknownFrame () override
| UnknownFrame (const UnknownFrame &)=delete
UnknownFrame & | operator= (const UnknownFrame &)=delete
String | toString () const override
ByteVector | data () const
Public Member Functions inherited from TagLib::ID3v2::Frame
virtual | ~Frame ()
| Frame (const Frame &)=delete
Frame & | operator= (const Frame &)=delete
ByteVector | frameID () const
unsigned int | size () const
unsigned int | headerSize () const
void | setData (const ByteVector &data)
virtual void | setText (const String &text)
virtual StringList | toStringList () const
ByteVector | render () const
Header * | header () const

## Protected Member Functions

void | parseFields (const ByteVector &data) override
ByteVector | renderFields () const override
Protected Member Functions inherited from TagLib::ID3v2::Frame
| Frame (const ByteVector &data)
| Frame (Header *h)
void | setHeader (Header *h, bool deleteCurrent=true)
void | parse (const ByteVector &data)
ByteVector | fieldData (const ByteVector &frameData) const
String | readStringField (const ByteVector &data, String::Type encoding, int *position=nullptr)
String::Type | checkTextEncoding (const StringList &fields, String::Type encoding) const
virtual PropertyMap | asProperties () const

## Friends

class | FrameFactory

## Additional Inherited Members

Static Public Member Functions inherited from TagLib::ID3v2::Frame
static ByteVector | textDelimiter (String::Type t)
static ByteVector | keyToFrameID (const String &)
static String | frameIDToKey (const ByteVector &)
Static Public Attributes inherited from TagLib::ID3v2::Frame
static const String | instrumentPrefix
static const String | commentPrefix
static const String | lyricsPrefix
static const String | urlPrefix
Static Protected Member Functions inherited from TagLib::ID3v2::Frame
static void | splitProperties (const PropertyMap &original, PropertyMap &singleFrameProperties, PropertyMap &tiplProperties, PropertyMap &tmclProperties)

## Detailed Description

A frame type unknown to TagLib.

This class represents a frame type not known (or more often simply unimplemented) in TagLib. This is here to provide a basic API for manipulating the binary data of unknown frames and to provide a means of rendering such unknown frames.

Please note that a cleaner way of handling frame types that TagLib does not understand is to subclass ID3v2::Frame and ID3v2::FrameFactory to have your frame type supported through the standard ID3v2 mechanism.

## Constructor & Destructor Documentation

## UnknownFrame() [1/2]

TagLib::ID3v2::UnknownFrame::UnknownFrame | ( | const ByteVector & | data | ) |

References data().

Referenced by operator=(), renderFields(), and UnknownFrame().

## ~UnknownFrame()

TagLib::ID3v2::UnknownFrame::~UnknownFrame | ( |  | ) |

override

## UnknownFrame() [2/2]

TagLib::ID3v2::UnknownFrame::UnknownFrame | ( | const UnknownFrame & |  | ) |

delete

References UnknownFrame().

## Member Function Documentation

## data()

ByteVector TagLib::ID3v2::UnknownFrame::data | ( |  | ) | const

Returns the field data (everything but the header) for this frame.

Referenced by parseFields(), renderFields(), and UnknownFrame().

## operator=()

UnknownFrame & TagLib::ID3v2::UnknownFrame::operator= | ( | const UnknownFrame & |  | ) |

delete

References UnknownFrame().

## parseFields()

void TagLib::ID3v2::UnknownFrame::parseFields | ( | const ByteVector & | data | ) |

override protected virtual

Called by parse() to parse the field data. It makes this information available through the public API. This must be overridden by the subclasses.

Implements TagLib::ID3v2::Frame.

References data().

## renderFields()

ByteVector TagLib::ID3v2::UnknownFrame::renderFields | ( |  | ) | const

override protected virtual

Render the field data back to a binary format in a ByteVector. This must be overridden by subclasses.

Implements TagLib::ID3v2::Frame.

References data(), TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE, and UnknownFrame().

## toString()

String TagLib::ID3v2::UnknownFrame::toString | ( |  | ) | const

override virtual

This returns the textual representation of the data in the frame. Subclasses must reimplement this method to provide a string representation of the frame's data.

Implements TagLib::ID3v2::Frame.

## Friends And Related Symbol Documentation

## FrameFactory

friend class FrameFactory

friend

References FrameFactory.

Referenced by FrameFactory.

The documentation for this class was generated from the following file:

- unknownframe.h